#if !defined(AFX_FINDDLG_H__40927B23_0A64_11D4_B8BE_C21F7CDBE25A__INCLUDED_)
#define AFX_FINDDLG_H__40927B23_0A64_11D4_B8BE_C21F7CDBE25A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FindDlg.h : header file
//

#include "resource.h"
#include "aplStepQL.h"
#include "apl_api.h"
#include <apl_gui.h>

#define STD_HEADER_FIND_FIND_DLG _T("FindFindData v1.0\0")

/////////////////////////////////////////////////////////////////////////////
// CFindDlg dialog

class CFindDlg : public CaplTranslateDialog
{
// Construction
public:
	CFindDlg(CWnd* pParent = NULL);   // standard constructor

	bool SaveDataToBuf(CaplDataBuf &dbuf);
	bool LoadDataFromBuf(CaplDataBuf &dbuf);

// Dialog Data
	//{{AFX_DATA(CFindDlg)
	enum { IDD = IDD_DB_FIND_DLG };
	CComboBox	m_FindType_ctrl;
	CaplButton	m_btn_ok;
	CButton	m_id_equ_ctrl;
	CButton	m_name_ctrl;
	CButton	m_id_ctrl;
	CEdit	m_id_str_ctrl;
	CEdit	m_name_str_ctrl;
	CString	m_id_str;
	CString	m_name_str;
	BOOL	m_id;
	BOOL	m_id_equ;
	BOOL	m_name;
	int		m_FindType;
	//}}AFX_DATA

	CString m_mode;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFindDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFindDlg)
	afx_msg void OnId();
	afx_msg void OnName();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeFindType();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CaplButton m_cancel_btn;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FINDDLG_H__40927B23_0A64_11D4_B8BE_C21F7CDBE25A__INCLUDED_)
